Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::OverlaySymbols Class Reference

`#include <overlay_symbols.h>`

Collaboration diagram for dirac_instr::OverlaySymbols:
[legend]

List of all members.

## Public Member Functions

- OverlaySymbols ()
- ~OverlaySymbols ()
- const PicArray & Arrow0 () const
- const PicArray & Arrow7_5 () const
- const PicArray & Arrow15 () const
- const PicArray & Arrow22_5 () const
- const PicArray & Arrow30 () const
- const PicArray & Arrow37_5 () const
- const PicArray & Arrow45 () const
- const PicArray & Arrow52_5 () const
- const PicArray & Arrow60 () const
- const PicArray & Arrow67_5 () const
- const PicArray & Arrow75 () const
- const PicArray & Arrow82_5 () const
- const PicArray & Arrow90 () const
- const PicArray & ArrowNull () const
- const PicArray & Number0 () const
- const PicArray & Number1 () const
- const PicArray & Number2 () const
- const PicArray & Number3 () const
- const PicArray & Number4 () const
- const PicArray & Number5 () const
- const PicArray & Number6 () const
- const PicArray & Number7 () const
- const PicArray & Number8 () const
- const PicArray & Number9 () const
- const PicArray & SymbolPlus () const
- const PicArray & SymbolMinus () const
- const PicArray & SymbolGreater () const
- const PicArray & SymbolColon () const
- const PicArray & SymbolNull () const
- const PicArray & LetterF () const
- const PicArray & LetterI () const
- const PicArray & LetterR () const
- const PicArray & Arrow () const
- void Arrow (const PicArray &arrow)
- const PicArray & Character () const
- void Character (const PicArray &character)

## Private Attributes

- PicArray m_arrow_0
    Arrow arrays.
- PicArray m_arrow_7_5
- PicArray m_arrow_15
- PicArray m_arrow_22_5
- PicArray m_arrow_30
- PicArray m_arrow_37_5
- PicArray m_arrow_45
- PicArray m_arrow_52_5
- PicArray m_arrow_60
- PicArray m_arrow_67_5
- PicArray m_arrow_75
- PicArray m_arrow_82_5
- PicArray m_arrow_90
- PicArray m_arrow_null
- PicArray & m_arrow
- PicArray m_number_0
    Number arrays.
- PicArray m_number_1
- PicArray m_number_2
- PicArray m_number_3
- PicArray m_number_4
- PicArray m_number_5
- PicArray m_number_6
- PicArray m_number_7
- PicArray m_number_8
- PicArray m_number_9
- PicArray m_symbol_null
- PicArray m_symbol_plus
- PicArray m_symbol_minus
- PicArray m_symbol_greater
- PicArray m_symbol_colon
- PicArray m_letter_f
    Letter arrays.
- PicArray m_letter_i
- PicArray m_letter_r
- PicArray & m_character

## Constructor & Destructor Documentation

dirac_instr::OverlaySymbols::OverlaySymbols | ( |  | ) |

dirac_instr::OverlaySymbols::~OverlaySymbols | ( |  | ) |

## Member Function Documentation

const PicArray& dirac_instr::OverlaySymbols::Arrow0 | ( |  | ) | const`[inline]`

References m_arrow_0.

const PicArray& dirac_instr::OverlaySymbols::Arrow7_5 | ( |  | ) | const`[inline]`

References m_arrow_7_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow15 | ( |  | ) | const`[inline]`

References m_arrow_15.

const PicArray& dirac_instr::OverlaySymbols::Arrow22_5 | ( |  | ) | const`[inline]`

References m_arrow_22_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow30 | ( |  | ) | const`[inline]`

References m_arrow_30.

const PicArray& dirac_instr::OverlaySymbols::Arrow37_5 | ( |  | ) | const`[inline]`

References m_arrow_37_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow45 | ( |  | ) | const`[inline]`

References m_arrow_45.

const PicArray& dirac_instr::OverlaySymbols::Arrow52_5 | ( |  | ) | const`[inline]`

References m_arrow_52_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow60 | ( |  | ) | const`[inline]`

References m_arrow_60.

const PicArray& dirac_instr::OverlaySymbols::Arrow67_5 | ( |  | ) | const`[inline]`

References m_arrow_67_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow75 | ( |  | ) | const`[inline]`

References m_arrow_75.

const PicArray& dirac_instr::OverlaySymbols::Arrow82_5 | ( |  | ) | const`[inline]`

References m_arrow_82_5.

const PicArray& dirac_instr::OverlaySymbols::Arrow90 | ( |  | ) | const`[inline]`

References m_arrow_90.

const PicArray& dirac_instr::OverlaySymbols::ArrowNull | ( |  | ) | const`[inline]`

References m_arrow_null.

const PicArray& dirac_instr::OverlaySymbols::Number0 | ( |  | ) | const`[inline]`

References m_number_0.

const PicArray& dirac_instr::OverlaySymbols::Number1 | ( |  | ) | const`[inline]`

References m_number_1.

const PicArray& dirac_instr::OverlaySymbols::Number2 | ( |  | ) | const`[inline]`

References m_number_2.

const PicArray& dirac_instr::OverlaySymbols::Number3 | ( |  | ) | const`[inline]`

References m_number_3.

const PicArray& dirac_instr::OverlaySymbols::Number4 | ( |  | ) | const`[inline]`

References m_number_4.

const PicArray& dirac_instr::OverlaySymbols::Number5 | ( |  | ) | const`[inline]`

References m_number_5.

const PicArray& dirac_instr::OverlaySymbols::Number6 | ( |  | ) | const`[inline]`

References m_number_6.

const PicArray& dirac_instr::OverlaySymbols::Number7 | ( |  | ) | const`[inline]`

References m_number_7.

const PicArray& dirac_instr::OverlaySymbols::Number8 | ( |  | ) | const`[inline]`

References m_number_8.

const PicArray& dirac_instr::OverlaySymbols::Number9 | ( |  | ) | const`[inline]`

References m_number_9.

const PicArray& dirac_instr::OverlaySymbols::SymbolPlus | ( |  | ) | const`[inline]`

References m_symbol_plus.

const PicArray& dirac_instr::OverlaySymbols::SymbolMinus | ( |  | ) | const`[inline]`

References m_symbol_minus.

const PicArray& dirac_instr::OverlaySymbols::SymbolGreater | ( |  | ) | const`[inline]`

References m_symbol_greater.

const PicArray& dirac_instr::OverlaySymbols::SymbolColon | ( |  | ) | const`[inline]`

References m_symbol_colon.

const PicArray& dirac_instr::OverlaySymbols::SymbolNull | ( |  | ) | const`[inline]`

References m_symbol_null.

const PicArray& dirac_instr::OverlaySymbols::LetterF | ( |  | ) | const`[inline]`

References m_letter_f.

const PicArray& dirac_instr::OverlaySymbols::LetterI | ( |  | ) | const`[inline]`

References m_letter_i.

const PicArray& dirac_instr::OverlaySymbols::LetterR | ( |  | ) | const`[inline]`

References m_letter_r.

const PicArray& dirac_instr::OverlaySymbols::Arrow | ( |  | ) | const`[inline]`

References m_arrow.

void dirac_instr::OverlaySymbols::Arrow | ( | const PicArray & | arrow | ) | `[inline]`

References m_arrow.

const PicArray& dirac_instr::OverlaySymbols::Character | ( |  | ) | const`[inline]`

References m_character.

void dirac_instr::OverlaySymbols::Character | ( | const PicArray & | character | ) | `[inline]`

References m_character.

## Member Data Documentation

PicArray dirac_instr::OverlaySymbols::m_arrow_0`[private]`

Referenced by Arrow0().

PicArray dirac_instr::OverlaySymbols::m_arrow_7_5`[private]`

Referenced by Arrow7_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_15`[private]`

Referenced by Arrow15().

PicArray dirac_instr::OverlaySymbols::m_arrow_22_5`[private]`

Referenced by Arrow22_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_30`[private]`

Referenced by Arrow30().

PicArray dirac_instr::OverlaySymbols::m_arrow_37_5`[private]`

Referenced by Arrow37_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_45`[private]`

Referenced by Arrow45().

PicArray dirac_instr::OverlaySymbols::m_arrow_52_5`[private]`

Referenced by Arrow52_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_60`[private]`

Referenced by Arrow60().

PicArray dirac_instr::OverlaySymbols::m_arrow_67_5`[private]`

Referenced by Arrow67_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_75`[private]`

Referenced by Arrow75().

PicArray dirac_instr::OverlaySymbols::m_arrow_82_5`[private]`

Referenced by Arrow82_5().

PicArray dirac_instr::OverlaySymbols::m_arrow_90`[private]`

Referenced by Arrow90().

PicArray dirac_instr::OverlaySymbols::m_arrow_null`[private]`

Referenced by ArrowNull().

PicArray& dirac_instr::OverlaySymbols::m_arrow`[private]`

Referenced by Arrow().

PicArray dirac_instr::OverlaySymbols::m_number_0`[private]`

Referenced by Number0().

PicArray dirac_instr::OverlaySymbols::m_number_1`[private]`

Referenced by Number1().

PicArray dirac_instr::OverlaySymbols::m_number_2`[private]`

Referenced by Number2().

PicArray dirac_instr::OverlaySymbols::m_number_3`[private]`

Referenced by Number3().

PicArray dirac_instr::OverlaySymbols::m_number_4`[private]`

Referenced by Number4().

PicArray dirac_instr::OverlaySymbols::m_number_5`[private]`

Referenced by Number5().

PicArray dirac_instr::OverlaySymbols::m_number_6`[private]`

Referenced by Number6().

PicArray dirac_instr::OverlaySymbols::m_number_7`[private]`

Referenced by Number7().

PicArray dirac_instr::OverlaySymbols::m_number_8`[private]`

Referenced by Number8().

PicArray dirac_instr::OverlaySymbols::m_number_9`[private]`

Referenced by Number9().

PicArray dirac_instr::OverlaySymbols::m_symbol_null`[private]`

Referenced by SymbolNull().

PicArray dirac_instr::OverlaySymbols::m_symbol_plus`[private]`

Referenced by SymbolPlus().

PicArray dirac_instr::OverlaySymbols::m_symbol_minus`[private]`

Referenced by SymbolMinus().

PicArray dirac_instr::OverlaySymbols::m_symbol_greater`[private]`

Referenced by SymbolGreater().

PicArray dirac_instr::OverlaySymbols::m_symbol_colon`[private]`

Referenced by SymbolColon().

PicArray dirac_instr::OverlaySymbols::m_letter_f`[private]`

Referenced by LetterF().

PicArray dirac_instr::OverlaySymbols::m_letter_i`[private]`

Referenced by LetterI().

PicArray dirac_instr::OverlaySymbols::m_letter_r`[private]`

Referenced by LetterR().

PicArray& dirac_instr::OverlaySymbols::m_character`[private]`

Referenced by Character().

The documentation for this class was generated from the following file:

- overlay_symbols.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.